Skip to main content
GET
List session messages

Path Parameters

tenantID
string<uuid>
required

The tenant of the conversation.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
sessionID
string<uuid>
required

The session being read.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Query Parameters

perPage
integer
default:50

Messages per page (max 200).

Required range: 1 <= x <= 200
firstMessageTimestamp
integer

Page cursor, epoch ms: messages created at or before it. Defaults to now.

Required range: x <= 9007199254740991
infiniteScroll
enum<string>
default:false

true reads the contact thread across sessions (minus overlapping ones) instead of this session alone.

Available options:
true,
false

Response

Response for status 200.

data
object[]
required

Messages, newest first.

meta
object
required

Pagination metadata.